source("regimes.R")
source("sim_util.R")

n <- 100        # sample size of a simulated dataset
scenario <- 3   # scenario number, 1 - 5

dl <- run.simulation(estimate.regime.dl, apply.regime.dl,
  n = n, scenario = scenario)
qlasso <- run.simulation(estimate.regime.qlasso, apply.regime.qlasso,
  n = n, scenario = scenario)
qrf <- run.simulation(estimate.regime.qrf, apply.regime.qrf,
  n = n, scenario = scenario)
bowl <- run.simulation(estimate.regime.bowl, apply.regime.bowl,
  n = n, scenario = scenario)
sowl <- run.simulation(estimate.regime.sowl, apply.regime.sowl,
  n = n, scenario = scenario)

# get mean and sd of the value achieved
mean(dl$metrics$outcome)
mean(qlasso$metrics$outcome)
mean(qrf$metrics$outcome)
mean(bowl$metrics$outcome)
mean(sowl$metrics$outcome)

sd(dl$metrics$outcome)
sd(qlasso$metrics$outcome)
sd(qrf$metrics$outcome)
sd(bowl$metrics$outcome)
sd(sowl$metrics$outcome)

# get average probability of correct treatment selection
mean(dl$metrics$correct.selection)
mean(qlasso$metrics$correct.selection)
mean(qrf$metrics$correct.selection)
mean(bowl$metrics$correct.selection)
mean(sowl$metrics$correct.selection)

# get average running time
mean(dl$metrics$duration)
mean(qlasso$metrics$duration)
mean(qrf$metrics$duration)
mean(bowl$metrics$duration)
mean(sowl$metrics$duration)
